Next: 5.1.5 SDCDB Debugger Commands Up: 5.1 Debugging with SDCDB Previous: 5.1.3 Starting the Debugger Contents Index

## 5.1.4 SDCDB Command Line Options

- --directory=<source file directory> this option can used to specify the directory search list. The debugger will look into the directory list specified for source, cdb & ihx files. The items in the directory list must be separated by ':', e.g. if the source files can be in the directories /home/src1 and /home/src2, the --directory option should be --directory=/home/src1:/home/src2. Note there can be no spaces in the option.
- -cd <directory> - change to the <directory>.
- -fullname - used by GUI front ends.
- -cpu <cpu-type> - this argument is passed to the simulator please see the simulator docs for details.
- -X <Clock frequency > this options is passed to the simulator please see the simulator docs for details.
- -s <serial port file> passed to simulator see the simulator docs for details.
- -S <serial in,out> passed to simulator see the simulator docs for details.
- -k <port number> passed to simulator see the simulator docs for details.

Next: 5.1.5 SDCDB Debugger Commands Up: 5.1 Debugging with SDCDB Previous: 5.1.3 Starting the Debugger Contents Index